[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: readline update?



On Sat, Jul 4, 2009 at 4:10 PM, Kevin Kofler<kevin kofler chello at> wrote:
> Patrice Dumas wrote:
>> Certainly not. Many very useful package are not utf8 aware
>
> Those packages need to be fixed. It is not acceptable that we ship
> applications which don't work properly in our default locales. You can't
> even open your files with those broken applications if they're in a
> directory containing special characters.
>
>> at least many that use motif or the athena widget set.
>
> Those applications are obsolete by definition.

Sure for most people they are .. same as old gtk1 apps.
But who is forcing anybody to use them?

They are not installed by default, and adding unicode support to
legacy frameworks means breaking API/ABI and the apps would have to be
ported.
In this case we could as well port them to newer frameworks and be done with it.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]